Subject: RE: [DUG]: Speaking of things massive...
From: Luke Pascoe <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Tue, 17 Jul 2001 09:02:01 +1200

Yeah, a TList laps it up and begs for more :-) But I was trying to avoid
manually writing copious manual drawing/scrolling routines.

Thus far the TListView OwnerData looks like the way to go (Didn't get a
chance to try it last night)

Luke Pascoe.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, 17 July 2001 8:27 a.m.
> To: Multiple recipients of list delphi
> Subject: Re:[DUG]: Speaking of things massive...
> 
> 
> What about throwing it into a TList or similar and only 
> displaying what you want
> out of it ...
> Just a thought as I have no idea about the capabilities of a 
> TList in the
> 100,000's
> 
> Regards
> Paul McKenzie
> 
> =========================
> Paul McKenzie
> Jetbet II Developer
> =========================
> [email-masked]
> Ph: (04) 576-6822
> 
> T.A.B. National Office
> 106-110 Jackson Street
> Petone
> New Zealand
> 
> 
> 
> ____________________Reply Separator____________________
> Subject:  [DUG]:  Speaking of things massive...
> Author:   [email-masked]
> Date:          16/07/2001 17:09
> 
> 
> 
>      Has anyone worked with file lists in the millions? I'm 
> having trouble
>      building an on-screen display of files once the number 
> gets above 20K or
>      so.
> 
>      The TListView handles the numbers, but takes ages (15 
> mins per 100,000
>      files, getting slower as more files are added).
> 
>      The TListBox is fast but croaks after 10K files in 
> everything except Win2k.
> 
>      I can generate the file list in memory in a matter of 
> seconds, but can't
>      find a quick way to display them on screen. If worst 
> comes to worst I'll
>      use
>      a TDrawGrid since it seems to handle the numbers and is 
> quick, but that
>      strikes me as an ugly way to do it.
> 
>      Any ideas?
> 
>      Luke Pascoe.
>      
> --------------------------------------------------------------
> -------------
>          New Zealand Delphi Users group - Delphi List - 
> [email-masked]
>                        Website: http://www.delphi.org.nz
>      To UnSub, send email to: [email-masked]
>      with body of "unsubscribe delphi"
>      Web Archive at: 
> http://www.mail-archive.com/delphi%40delphi.org.nz/(See
> attached file: att1.eml)
> 
> 
---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"
Web Archive at: http://www.mail-archive.com/delphi%40delphi.org.nz/